#version 300 es

in vec4 aPosition;
in vec2 aTextureCoord;

out vec2 vUVRev;
out vec2 vUV;

void main() {
    gl_Position = aPosition;
    vUV = aTextureCoord;
    vUVRev = vec2(aTextureCoord.x, 1.0-aTextureCoord.y);
}